org.apache.hadoop.fs

## Class InvalidPathHandleException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.hadoop.fs.InvalidPathHandleException

- All Implemented Interfaces:
    Serializable

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class InvalidPathHandleException
      extends IOException

  Thrown when the constraints enoded in a `PathHandle` do not hold. For example, if a handle were created with the default `Options.HandleOpt.path()` constraints, a call to `FileSystem.open(PathHandle)` would succeed if the file were modified, but if a different file was at that location then it would throw this exception.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidPathHandleException(String str)`
    `InvalidPathHandleException(String message, Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidPathHandleException

          public InvalidPathHandleException(String str)

    - #### InvalidPathHandleException

          public InvalidPathHandleException(String message,
                                            Throwable cause)

Copyright © 2022 Apache Software Foundation. All rights reserved.